- include_role:
    name: commons
    tasks_from: helpers/resolve-component.yaml
  vars:
    obj_apivers: wopla.io/v1beta1
    obj_kind: Postfix
- name: Sets Postfix CR Facts
  set_fact:
    postfix_name: "{{ ('postfix-' ~ found_cr.resources[0].metadata.name)
                        if (found_cr is defined
                            and found_cr.resources is defined
                            and found_cr.resources | length > 0)
                        else False }}"
    postfix_namespace: "{{ found_cr.resources[0].metadata.namespace
                             if (found_cr is defined
                                 and found_cr.resources is defined
                                 and found_cr.resources | length > 0)
                             else False }}"
- name: Sets Postfix Facts
  set_fact:
    smtp_address: "{{ found_cr.resources[0].status.smtp_internal | default(False) }}"
    smtp_crd: "{{ found_cr }}"
    smtp_public: "{{ found_cr.resources[0].status.smtp_public | default(False) }}"
    smtp_tls_provider: "{{ found_cr.resources[0].spec.tls_provider | default('internalca') }}"
    smtps_address: "{{ found_cr.resources[0].status.smtps_internal | default(False) }}"
    smtps_public: "{{ found_cr.resources[0].status.smtps_public | default(False) }}"
    submission_address: "{{ found_cr.resources[0].status.submission_internal | default(False) }}"
  when:
  - found_cr.resources is defined
  - found_cr.resources | length > 0
  - found_cr.resources[0].status is defined
  - found_cr.resources[0].status.ready is defined
